> This page is for Home.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.webflow.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.webflow.com/_mcp/server.

# CMS item filtering and sorting

> Update: Optimize data retrieval with server-side CMS item filtering and sorting, manipulate assets and interact with native image elements within the Webflow Designer, and identify page types with new methods.

The Webflow Data API now supports server-side filtering and sorting capabilities for CMS items, along with enhanced page metadata information. These updates help you optimize data retrieval, improve performance, and gain access to additional page details.

## Enhanced CMS item management

The CMS endpoints [List CMS items](/data/reference/cms/collection-items/items/list-items) and [List live CMS items](/data/reference/cms/collection-items/live-items/list-items-live) now feature filtering and sorting capabilities to help you optimize data retrieval and build more efficient applications.

### Server-side filtering options

You can now filter CMS items with these new parameters:

* **Name and slug exact matching**
  Use `name` and `slug` query parameters for precise filtering
  ```
  GET /collections/{collection_id}/items?name=Featured+Article
  GET /collections/{collection_id}/items?slug=featured-article
  ```

* **Publication date ranges**
  Filter by `lastPublished` date ranges to find recently updated content
  ```
  GET /collections/{collection_id}/items?lastPublished[gt]=2024-05-01T00:00:00Z
  GET /collections/{collection_id}/items?lastPublished[lt]=2024-06-18T00:00:00Z
  ```

* **Combined filters**
  Combine multiple filters for precise data retrieval
  ```
  GET /collections/{collection_id}/items?slug=featured-article&lastPublished[gt]=2024-05-01T00:00:00Z
  ```

### Server-side sorting

Sort your CMS items directly on the server to minimize data processing in your application:

* **Sort by publication date**
  Sort by `lastPublished` in ascending or descending order
  ```
  GET /collections/{collection_id}/items?sortBy=lastPublished&sortOrder=asc
  GET /collections/{collection_id}/items?sortBy=lastPublished&sortOrder=desc
  ```

* **Sort by name or slug**
  Sort alphabetically by item name or slug
  ```
  GET /collections/{collection_id}/items?sortBy=name&sortOrder=asc
  GET /collections/{collection_id}/items?sortBy=slug&sortOrder=asc
  ```

> **Note**
>
> Server-side filtering and sorting significantly reduce the amount of data transferred and processed by your application, improving performance and reducing API usage.

## Enhanced page metadata

The [Get page metadata](/data/reference/pages/get-metadata) endpoint now includes additional information that's valuable for multi-language sites and SEO optimization.

### New metadata fields

* **`localeId`**
  Identify the language/locale of a specific page

* **`publishedPath`**
  Access the published URL path for the page